clear all
close all
% This file generates Figure 12 of Read & Cumming 2005c: "Figure 12. Correlation between the responses of disparity sensors and motion sensors."

figure('pos',[360    99   699   601])
for jj=1:2
    if jj==1
        load('RandomNoise16_ntpixperframe=10_IOD=10tpix_vel=5_SD1=0.05_SD3=0.004_SDt=10ms.mat');
		jrun
    else
        load('RandomNoise16_ntpixperframe=10_IOD=10tpix_vel=10_SD1=0.1_SD3=0.002_SDt=10ms.mat');
		jrun
    end
	
	% Swap left and rght (kludge becauae i seem to have mixed up a
	% signconvention somewhere)
	TMP=LEFT;
	LEFT=RIGHT;
	RIGHT=TMP;
	
    mean_corrn_corr = sum_corrn_corr/jrun;
    mean_corrn_anti = sum_corrn_anti/jrun;
    
    mean_corrn_corr(:,UP) = flipud(mean_corrn_corr(:,DOWN));
    mean_corrn_corr(:,LEFT) = flipud(mean_corrn_corr(:,RIGHT));
    mean_corrn_anti(:,UP) = flipud(mean_corrn_anti(:,DOWN));
    mean_corrn_anti(:,LEFT) = flipud(mean_corrn_anti(:,RIGHT));
    
    ax1(jj)=subplot(2,2,jj);
    set(gca,'pos',[0.1+(jj-1)*0.36 0.57 0.3 0.33])
    h(3)=plot(disparity,mean_corrn_corr(:,UP),'m','linew',2);
    hold on
    h(4)=plot(disparity,mean_corrn_corr(:,DOWN),'g--','linew',2);
    hcorr=plot(disparity,mean_corrn_corr(:,LEFT),'k','linew',2);
    h(1)=plot(disparity,mean_corrn_corr(:,LEFT),'r','linew',2);
    h(2)=plot(disparity,mean_corrn_corr(:,RIGHT),'b','linew',2);
	
    trapz(disparity,abs(mean_corrn_corr(:,LEFT)))
    
    axis tight
	%plot(disparity,mean_corrn_anti(:,UP),'m','linew',2,'linest',':');
	%plot(disparity,mean_corrn_anti(:,DOWN),'g','linew',2,'linest',':');
	%hanti=plot(disparity,mean_corrn_anti(:,LEFT),'k','linew',2,'linest',':');
	%plot(disparity,mean_corrn_anti(:,LEFT),'r','linew',2,'linest',':');
	%plot(disparity,mean_corrn_anti(:,RIGHT),'b','linew',2,'linest',':');
    drawnow
    set(gca,'fontsize',14)
    text(-0.19,1.2,char(64+jj),'fontsize',24,'fontw','bold','units','norm')
    
    ax2(jj)=subplot(2,2,jj+2);
    set(gca,'pos',[0.1+(jj-1)*0.36 0.13 0.3 0.33])
    hm(3)=plot(disparity,mean_corrn_corr(:,UP) - mean_corrn_corr(:,DOWN),'m','linew',2);
    hold on
    hm(4)=plot(disparity,mean_corrn_corr(:,DOWN)- mean_corrn_corr(:,UP),'g--','linew',2);
    hm(1)=plot(disparity,mean_corrn_corr(:,LEFT) - mean_corrn_corr(:,RIGHT),'r','linew',2);
    hm(2)=plot(disparity,mean_corrn_corr(:,RIGHT) - mean_corrn_corr(:,LEFT),'b','linew',2);
%	plot(disparity,mean_corrn_anti(:,UP) - mean_corrn_anti(:,DOWN),'m','linew',2,'linest',':');
%	plot(disparity,mean_corrn_anti(:,DOWN)- mean_corrn_anti(:,UP),'g','linew',2,'linest',':');
%	plot(disparity,mean_corrn_anti(:,LEFT) - mean_corrn_anti(:,RIGHT),'r','linew',2,'linest',':');
%	plot(disparity,mean_corrn_anti(:,RIGHT) - mean_corrn_anti(:,LEFT),'b','linew',2,'linest',':');
    xlabel('near      disparity (deg)    far','fontsize',14)
    set(gca,'fontsize',14)
    axis tight
    text(-0.19,1.1,char(64+jj+2),'fontsize',24,'fontw','bold','units','norm')
    plot(ntpixperframe*min(diff(t))*vel*[1 1],ylim,'k')
	plot(-ntpixperframe*min(diff(t))*vel*[1 1],ylim,'k')

    if jj==1
        axes(ax1(jj))
        title('preferred velocity = 5^o/s','fontsize',16)
        ylabel('correlation','fontsize',14)            
%		haleg=legend([hcorr hanti],{'correlated' 'anti-corr.'});
%		set(haleg,'fontsize',12);
        axes(ax2(jj))
        ylabel('difference in correlation','fontsize',14)       
    else
        axes(ax1(jj))
        title('preferred velocity = 10^o/s','fontsize',16)
        hleg=legend(h,{'left' 'right' 'up' 'down'});
        set(hleg,'fontsize',10,'pos',[0.3 0.77 0.2 0.13])
        axes(ax2(jj))
        hmleg=legend(hm,{'left minus right' 'right minus left' 'up minus down' 'down minus up'});
        set(hmleg,'fontsize',10,'pos',[0.3 0.33 0.2 0.13])
    end

end
set(gcf,'paperpositionmode','auto')
