clear all
close all

% RF params
SDx=0.1; % deg
SDt=0.01; %s
temporalag=0.05;  %s
SF=2;
TF=20;


x=[-1:0.01:1]*5*SDx;
t=[-1:0.01:1]*5*SDt-temporalag;
twopiSF = 2*pi*SF;
twopiTF = 2*pi*TF;
twoSDxsq = 2*SDx^2;
twoSDtsq = 2*SDt^2;

rx = exp(-x.^2./twoSDxsq) .* cos(twopiSF.*x);
rt = (t<=0).*exp( - (t+temporalag).^2./twoSDtsq ); % Gaussian

[rrt,rrx] = meshgrid(rt,rx);

fs = 14;
ax(1) =axes;
set(ax(1),'pos',[0.2 0.2 0.6 0.6],'fontsize',fs);
imagesc(t*1000,x,rrt.*rrx);
xlabel('time relative to present (ms)','fontsize',fs)
ylabel('position (deg)','fontsize',fs)
set(ax(1),'ydir','normal')
ax(2)=axes;
set(ax(2),'pos',[0.8 0.2 0.15 0.6],'fontsize',fs);
plot(zeros(size(rx)),x,'k')
hold on
plot(rx,x,'linew',2)
axis tight
xlim([min(rx)-range(rx)*0.1 max(rx)+range(rx)*0.1]);
set(ax(2),'ytick',[],'xtick',[])
ax(3)=axes;
set(ax(3),'pos',[0.2 0.8 0.6 0.15],'fontsize',fs);
plot(t*1000,zeros(size(rt)),'k')
hold on
plot(t*1000,rt,'linew',2)
set(ax(3),'ytick',[],'xtick',[])
ylim([min(rt)-range(rt)*0.1 max(rt)+range(rt)*0.1]);
colormap hot
