clear all
close all

vel = 3.6; % speed of strobe stimulus, in deg/s
SDt = 10e-3; %s
temporalag = 50e-3;
theta = atan(vel);
alphasq = 10;

costheta=cos(theta);
sintheta=sin(theta);
twoSDtsq = 2*SDt^2;
SDx = SDt*sqrt(sintheta^2/(costheta^2+sintheta^2/alphasq) + costheta^2/(alphasq*costheta^2+sintheta^2));
twoSDxsq = 2*SDx^2;

x=[-1:0.001:1]*0.1;%5*SDx;
t=[-1:0.02:1]*5*SDt-temporalag;
[t2,x2]=meshgrid(t,x);

tiltt = x2.*sintheta + (t2+temporalag)*costheta;
tiltx = x2.*costheta - (t2+temporalag)*sintheta;
twoSD1sq = twoSDtsq/(costheta^2+1/alphasq*sintheta^2);
twoSD2sq = twoSDtsq/(alphasq*costheta^2+sintheta^2);
r = (t2<=0).*exp( - tiltt.^2./twoSD1sq - tiltx.^2./twoSD2sq) ;

rt = sum(r,1);
rx = sum(r,2);

fs = 14;
ax(1) =axes;
set(ax(1),'pos',[0.2 0.2 0.6 0.6],'fontsize',fs);
imagesc(t*1000,x,r);
xlabel('time relative to present (ms)','fontsize',fs)
ylabel('position (deg)','fontsize',fs)
set(ax(1),'ydir','normal')
ax(2)=axes;
set(ax(2),'pos',[0.8 0.2 0.15 0.6],'fontsize',fs);
plot(zeros(size(rx)),x,'k')
hold on
plot(rx,x,'linew',2)
axis tight
xlim([min(rx)-range(rx)*0.1 max(rx)+range(rx)*0.1]);
set(ax(2),'ytick',[],'xtick',[])
ax(3)=axes;
set(ax(3),'pos',[0.2 0.8 0.6 0.15],'fontsize',fs);
plot(t*1000,zeros(size(rt)),'k')
hold on
plot(t*1000,rt,'linew',2)
set(ax(3),'ytick',[],'xtick',[])
ylim([min(rt)-range(rt)*0.1 max(rt)+range(rt)*0.1]);

set(gcf,'paperpositionmode','auto')
colormap hot