% Draws a figure of disparity-modulated response averaged over xcen, as a
% function of disparity and time.
clear all
close all

for j=1:2
	ax(j)=subplot(2,2,j);
	if j==1
		load Fullresults_simple_gauss_Tontau=4_acc2.mat
	else
		load Fullresults_simple_gauss_Tontau=2_acc2.mat
	end
	jdt = find(dttoverT==0.4);
	
	time = [0:ntime-1]/ntime*T;
	dtoverT=dttoverT(jdt);
	Dt = dtoverT*T;
	dispmax = 4 * SDx + abs(vel) * (4*SDt + abs(Dt));
	dispmin = -dispmax;
	disparity = [ dispmin : (dispmax-dispmin)/(ndisparity-1) : dispmax  ] ; 
    activity = squeeze(sum(dispmodterm(jdt,:,:,:),3));
    [peak,jmx]=max(activity');
    peakpos = disparity(jmx);
	imagesc(disparity/X,time/T,activity)	
	hold on
    plot(peakpos/X,time/T,'b','linew',2);
	xlim([-3 3])
	set(gca,'ydir','norm','fontsize',14)
	disparitydistrib = squeeze(sum(sum(dispmodterm(jdt,:,:,:),3),2));
    percdisp = sum(disparitydistrib.*disparity')./sum(disparitydistrib);
	plot([1 1]*percdisp/X,ylim,'k','linew',2)
	xlabel('preferred disparity \Deltax_{pref}/X','fontsize',14)
	if j==1
		ylabel('time t/T','fontsize',14)
	end
	
	if j==1
		title('T/\tau = 4, \Deltat/T = 0.4','fontsize',18)
		ylabel('time / T','fontsize',14)
	else
		title('T/\tau = 2, \Deltat/T = 0.4','fontsize',18)
    end
	
	% mark on virtual disparity
	y1 = -0.11;
	y2 = -0.06;
	s = 0.15;
	plot([1 1]*0.4,[y1 0],'color','r','clipping','off','linew',2)
	plot([1 1]*0.4+[s 0],[y2 0],'color','r','clipping','off','linew',2)
	plot([1 1]*0.4+[-s 0],[y2 0],'color','r','clipping','off','linew',2)
end

set(gcf,'pos',[338   496   828   372])
for j=1:2
    axes(ax(j));
    tmp=get(gca,'pos');
	set(gca,'pos',[tmp(1) 0.19 0.38 0.69])
    text(-0.1,1.11,char(64+j),'fontsize',22,'fontw','bold','units','norm')
end
colormap hot
set(gcf,'paperpositionmode','auto')