clear all
close all

% To produce a figure showing results for a simple cell with Gaussian
% temporal kernels, using the "extract disparity then average" rule

col={'k' 'm' 'b' [0 0.75 0] [0.8 0.8 0] 'r' 'm' 'g' 'c'};

TToverSDt=[2:6];
for jTT=1:length(TToverSDt)
    % Look for high-accuracy results (acc5):
    file = ['' sprintf('Fullresults_simple_gauss_Tontau=%1d_acc5.mat',TToverSDt(jTT))];
    if ~exist(file,'file') % If you can't find high-accuracy results, plot low-accuracy results:
        file = ['' sprintf('Fullresults_simple_gauss_Tontau=%1d_acc2.mat',TToverSDt(jTT))];
    end
    load(file);
	for jdt=1:length(dttoverT)
		dtoverT=dttoverT(jdt);
		Dt = dtoverT*T;
        dispmax = 4 * SDx + abs(vel) * (4*SDt + abs(Dt));
        dispmin = -dispmax;
        disparity = [ dispmin : (dispmax-dispmin)/(ndisparity-1) : dispmax  ] ; 
            
        % Method 3: pick a disparity for each position by WTA; average the result weighted by strength 
        % of percept; average over time
        clear avdispathistime avdispathistime_unwt pkdispatthistme
        for jt=1:ntime
            clear strength dispatthisposandtime
            for jx=1:nxcen
                disparitydistrib = squeeze(dispmodterm(jdt,jt,jx,:));
                [mx,jmx] = max(disparitydistrib);
                js = find(disparitydistrib==mx);
                jmx = js(unidrnd(length(js)));
                dispatthisposandtime(jx) = disparity(jmx);
                strength(jx) = mx;
            end
            avdispathistime(jt) = sum(dispatthisposandtime.*strength)./sum(strength);
            avdispathistime_unwt(jt) = mean(dispatthisposandtime);
            [mx,jmx] = max(strength);
            pkdispatthistme(jt) = disparity(jmx);
        end
        prcdisp(jTT,jdt) = mean(avdispathistime);        
                       
    end % next delay dt
end

plot([-1 1],[-1 1],'k')
hold on
for jT=1:length(TToverSDt)
	T=TToverSDt(jT)*SDt;
	X = vel .* T; % spatial period of strobe stimulus, in deg	
    h(jT)=plot(dttoverT,prcdisp(jT,:)/X,'col',col{jT},'linestyle','none','marker','x','linew',2);
    finedttoverT = interp(dttoverT,10);
    lab{jT} = ['T/\tau' sprintf(' = %d',TToverSDt(jT))];
    xlabel('interocular delay / interflash interval,   \Deltat/T ','fontsize',14)
    ylabel('perceived disparity / interflash distance,   \Deltax/X ','fontsize',14)
    set(gca,'fontsize',16)
    drawnow
end    
set(gcf,'pos',[384   406   652   601])
axis equal
xlim([0 1]*0.5)
ylim([0 1]*0.5)
title('Gaussian temporal kernel','fontsize',18)

k=legend(h,lab);
set(k,'pos',[0.73 0.12 0.25 0.3206])

axes
delayontau = [-1:0.01:1]*5;
plot(delayontau,exp(-delayontau.^2./4),'k')
set(gca,'pos',[0.27 0.67 0.3 0.2],'box','off')
xlabel('delay / \tau','fontsize',14)
ylabel('relative weight','fontsize',14)
