clear all
close all

% To produce a figure showing results for a simple cell with Gaussian
% temporal kernels, using the standard disparity-averaging read-out rule:
% 'average over time and position; take centroid of resulting activity distribution';

col={'k' 'm' 'b' [0 0.75 0] [0.8 0.8 0] 'r' 'm' 'g' 'c'};

TToverSDt=[1:6];
for jTT=2:5
    load([sprintf('Fullresults_simple_expon_Tontau=%1d_acc2.mat',TToverSDt(jTT))]);
	for jdt=1:length(dttoverT)
		dtoverT=dttoverT(jdt);
		Dt = dtoverT*T;
        dispmax = 4 * SDx + abs(vel) * (4*SDt + abs(Dt));
        dispmin = -dispmax;
        disparity = [ dispmin : (dispmax-dispmin)/(ndisparity-1) : dispmax  ] ; 
      
        disparitydistrib = squeeze(sum(sum(dispmodterm(jdt,:,:,:),2),3))';
        
        % average over time and position; take centroid of resulting activity distribution
        prcdisp(jTT,jdt) = sum(disparitydistrib.*disparity)./sum(disparitydistrib);
               
    end % next delay dt
end
for jT=1:length(TToverSDt)
	T=TToverSDt(jT)*SDt;
	X = vel .* T; % spatial period of strobe stimulus, in deg	
    plot(dttoverT,prcdisp(jT,:)/X,'col',col{jT},'linestyle','none','marker','x','linew',2);
    hold on
    finedttoverT = interp(dttoverT,10);
    h(jT)=plot(finedttoverT,DisparityAveraging_RFconv(finedttoverT*T,T,'exponential',SDt),'col',col{jT},'linestyle','-','linew',2);
    lab{jT} = ['T/\tau =' sprintf('%d',TToverSDt(jT))];
    xlabel('interocular delay / interflash interval,   \Deltat/T ','fontsize',14)
    ylabel('perceived disparity / interflash distance,   \Deltax/X ','fontsize',14)
    set(gca,'fontsize',16)
    drawnow
end    
set(gcf,'pos',[384   106   652   601])
axis equal
xlim([0 1]*0.5)
ylim([0 1]*0.5)

title('Exponential temporal kernel','fontsize',18)

k=legend(h,lab);
set(k,'pos',[0.702 0.11 0.19 0.25])

axes
delayontau = [-1:0.01:1]*5;
plot(delayontau,exp(-abs(delayontau)),'k')
set(gca,'pos',[0.27 0.67 0.3 0.2],'box','off')
xlabel('delay / \tau','fontsize',14)
ylabel('relative weight','fontsize',14)
set(gca,'xtick',[-5:5],'xticklabel',{'' '-4' '' '-2' '' '0' '' '2' '' '4'})

set(gcf,'paperpositionmode','auto')
